使用自定义的 docker 镜像(Ubuntu 22.04 和 NodeJS 14)部署到 Lambda@Edge。

0

【以下的问题经过翻译处理】 我有一个 Lambda函数,它使用正在运行 Ubuntu 22.04 和 NodeJS 14的 Docker镜像。该函数运行良好,但当我尝试将其部署到 @edge时,它显示如下错误信息: “更正上述错误并重试。运行时(Runtime )必须是以下之一: Node.js 12.x,Node.js 14.x,Node.js 16.x,Node.js 18.x,Python 3.7,Python 3.8,Python 3.9。” Lambda@edge是否允许使用自定义的 Docker镜像,或者它只适用于使用 AWS (Runtime )运行时的 Lambda函数?

profile picture
专家
已提问 3 个月前9 查看次数
1 回答
0

【以下的回答经过翻译处理】 请参考边缘函数限制

Lambda@Edge 不支持以下 Lambda 功能:

  • 使用 AWS Lambda 层的 Lambda 函数。
  • 容器镜像定义的 Lambda 函数。

因此,在撰写本文时,您只能使用 AWS (Runtime )运行时之一,基于其中一个(Runtime )运行时版本部署 Lambda@Edge 函数。

profile picture
专家
已回答 3 个月前

您未登录。 登录 发布回答。

一个好的回答可以清楚地解答问题和提供建设性反馈,并能促进提问者的职业发展。

回答问题的准则